using Microsoft.EntityFrameworkCore;
using System;

namespace ScrumTaskboard
{
    public class TaskContext : DbContext 
    {
        public DbSet<ScrumTask> Tasks { get; set; }

        public TaskContext() { }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=nig.gl; Port=8543; Username=scrum; Database=taskboard; Password=c6gXud7YvBWp2sgxSgy4wRN");
        }

        public TaskContext(DbContextOptions<TaskContext> options) : base(options) { }
    }

    public class ScrumTask
    {
        public int Id { get; set; }

        public string Titel { get; set; }

        public string Inhalt { get; set; }




        public int Status { get; set; }
        public int Kategorie { get; set; }
        public int Bearbeiter { get; set; }

        public int ZugeordneterSprint { get; set; }
        public int Projekt { get; set; }


        public int Userstory { get; set; }
    }
}
